Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2011-10-27 04:47:38 -0400
committercletavernie2011-10-27 04:47:38 -0400
commitb35022b68384d4398086646ef815e75c88c18c9e (patch)
treee0716c9d7d00b4ccddc6f0e88fdc7a3d23ba64a7 /plugins/infra/gmfdiag
parentd9c8fe1e4611c2ca845f74820a92ccdaf5126d9e (diff)
downloadorg.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.gz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.tar.xz
org.eclipse.papyrus-b35022b68384d4398086646ef815e75c88c18c9e.zip
359057: [Architecture - SVN - Build] The Papyrus architecture should be refactored
https://bugs.eclipse.org/bugs/show_bug.cgi?id=359057 Update the plug-in versions and dependencies over Papyrus plug-ins to 0.9.0
Diffstat (limited to 'plugins/infra/gmfdiag')
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF33
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF33
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF45
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF52
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF37
6 files changed, 104 insertions, 98 deletions
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
index 6064104fca8..57a1db4368f 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.commands/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.commands,
org.eclipse.papyrus.commands.wrappers
Require-Bundle: org.eclipse.ui.workbench,
- org.eclipse.papyrus.log,
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
org.eclipse.gmf.runtime.common.core,
org.eclipse.emf.common,
org.eclipse.gef,
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
index 13787829129..2a956081fcf 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.navigation/META-INF/MANIFEST.MF
@@ -1,23 +1,24 @@
Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.navigation;singleton:=true
-Bundle-Version: 0.8.1.qualifier
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0";visibility:=reexport,
- org.eclipse.papyrus.commands,
- org.eclipse.papyrus.preferences;bundle-version="0.8.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.8.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.8.0",
- org.eclipse.core.expressions;bundle-version="3.4.300",
- org.eclipse.papyrus.modelexplorer;bundle-version="0.8.1",
- org.eclipse.ui.navigator;bundle-version="3.5.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.papyrus.ui.perspectiveconfiguration
Export-Package: org.eclipse.papyrus.navigation,
org.eclipse.papyrus.navigation.decorator,
org.eclipse.papyrus.navigation.preference
+Require-Bundle: org.eclipse.papyrus.core;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.commands;bundle-version="0.9.0",
+ org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.core.expressions;bundle-version:="3.4.300",
+ org.eclipse.papyrus.modelexplorer;bundle-version:="0.9.0",
+ org.eclipse.ui.navigator;bundle-version="3.5.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.9.0"
Bundle-Vendor: %providerName
-Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.navigation.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.navigation;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
index cc68e83d23c..e0d801c0c5b 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.outline/META-INF/MANIFEST.MF
@@ -1,16 +1,17 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Localization: plugin
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.outline;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.outline.internal.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.8.0",
- org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
- org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.papyrus.outline,
- org.eclipse.papyrus.outline.internal;x-internal:=true,
- org.eclipse.papyrus.outline.overview
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
+ org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.outline,
+ org.eclipse.papyrus.outline.internal;x-internal:=true,
+ org.eclipse.papyrus.outline.overview
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %pluginName
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.outline.internal.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.outline;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
index 8d3b8a49e2d..37a81ecc553 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.preferences/META-INF/MANIFEST.MF
@@ -1,22 +1,23 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
-Bundle-SymbolicName: org.eclipse.papyrus.preferences;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.preferences.Activator
-Bundle-Vendor: %providerName
-Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.log;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
-Bundle-Localization: plugin
-Export-Package: org.eclipse.papyrus.preferences,
- org.eclipse.papyrus.preferences.initializer,
- org.eclipse.papyrus.preferences.jface.preference;x-internal:=true,
- org.eclipse.papyrus.preferences.jface.preference.dialogs,
- org.eclipse.papyrus.preferences.pages,
- org.eclipse.papyrus.preferences.pages.internal;x-internal:=true,
- org.eclipse.papyrus.preferences.ui,
- org.eclipse.papyrus.preferences.ui.diagram,
- org.eclipse.papyrus.preferences.ui.editor,
- org.eclipse.papyrus.preferences.utils
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
+ org.eclipse.papyrus.log;bundle-version="0.9.0"
+Export-Package: org.eclipse.papyrus.preferences,
+ org.eclipse.papyrus.preferences.initializer,
+ org.eclipse.papyrus.preferences.jface.preference;x-internal:=true,
+ org.eclipse.papyrus.preferences.jface.preference.dialogs,
+ org.eclipse.papyrus.preferences.pages,
+ org.eclipse.papyrus.preferences.pages.internal;x-internal:=true,
+ org.eclipse.papyrus.preferences.ui,
+ org.eclipse.papyrus.preferences.ui.diagram,
+ org.eclipse.papyrus.preferences.ui.editor,
+ org.eclipse.papyrus.preferences.utils
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.preferences.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.preferences;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
index 70f9c7aac32..736863b56cd 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.properties.notation/META-INF/MANIFEST.MF
@@ -1,25 +1,27 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.properties.notation;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.properties.notation.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.properties;bundle-version="0.8.0",
- org.eclipse.papyrus.properties.model;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.notation;bundle-version="1.4.1",
- org.eclipse.gef;bundle-version="3.7.0",
- org.eclipse.emf.edit;bundle-version="2.7.0",
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.core.databinding.property;bundle-version="1.4.0",
- org.eclipse.core.databinding.beans;bundle-version="1.2.100",
- org.eclipse.papyrus.properties.uml;bundle-version="0.8.0",
- org.eclipse.papyrus.log;bundle-version="0.8.0",
- org.eclipse.emf.edit.ui;bundle-version="2.7.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.properties;bundle-version="0.9.0",
+ org.eclipse.papyrus.properties.model;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.notation;bundle-version:="1.4.1",
+ org.eclipse.gef;bundle-version="3.7.0",
+ org.eclipse.emf.edit;bundle-version="2.7.0",
+ org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
+ org.eclipse.core.databinding;bundle-version="1.4.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.core.databinding.property;bundle-version="1.4.0",
+ org.eclipse.core.databinding.beans;bundle-version="1.2.100",
+ org.eclipse.papyrus.properties.uml;bundle-version="0.9.0",
+ org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.7.0",
+ org.eclipse.papyrus.core;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.properties.notation.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.properties.notation;singleton
+ :=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
index 31eacc2564f..63fbf0b2c5e 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.widgets.gmf/META-INF/MANIFEST.MF
@@ -1,18 +1,19 @@
-Manifest-Version: 1.0
-Bundle-ManifestVersion: 2
-Bundle-Name: %Bundle-Name
-Bundle-SymbolicName: org.eclipse.papyrus.widgets.gmf;singleton:=true
-Bundle-Version: 0.9.0.qualifier
-Bundle-Activator: org.eclipse.papyrus.widgets.gmf.Activator
-Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.widgets;bundle-version="0.8.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
- org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.4.2",
- org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.jface.databinding;bundle-version="1.5.0",
- org.eclipse.core.databinding.property;bundle-version="1.4.0",
- org.eclipse.papyrus.properties;bundle-version="0.8.0"
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Bundle-ActivationPolicy: lazy
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
+ org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.4.2",
+ org.eclipse.core.databinding;bundle-version:="1.4.0",
+ org.eclipse.jface.databinding;bundle-version="1.5.0",
+ org.eclipse.core.databinding.property;bundle-version="1.4.0",
+ org.eclipse.papyrus.properties;bundle-version="0.9.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 0.9.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.widgets.gmf.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.widgets.gmf;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
+

Back to the top